#!/usr/bin/env python
# -*- coding: utf-8 -*-

from gimpfu import *
import os

# ------------
#| Change Log |
# ------------
# Rel 0.1: Initial release. Inspired by plug-ins export_layers.py https://github.com/khalim19/gimp-plugin-export-layers by khalim19

def python_fu_export_layers_batch_actions(image, drawable, indir=None, outdir=None, extension=None,overwrite=None):

	for root, dirs, files in os.walk(indir):
		for filename in files:
			filepath = os.path.join(root, filename)
			image = pdb.gimp_file_load(filepath, filename)	
			pdb.plug_in_export_layers(image, None, None, None, 2, run_mode=RUN_WITH_LAST_VALS)
			pdb.gimp_image_delete(image)

register (
	"python_fu_export_layers_batch_actions",
	"Batch processing of files using saved settings (RUN_WITH_LAST_VALS)\n\nEdit (select) required parameters;\n1. Output folder\n2. Select filename and extension\n3. Change the order/add/disable/remove Procedures\n4. Save Setings",
	"Batch processing of files using saved settings (using additional procedures) by Export Layers ",
	"MareroQ",
	"GPL",
	"2019",
	"Export Layers Batch Actions",
	"*",
	[
	(PF_IMAGE, "image", "", None),
	(PF_DRAWABLE, "drawable", "", None),
	(PF_DIRNAME, "indir", "Input directory:", ""),
	],
	[],
	python_fu_export_layers_batch_actions, menu = "<Image>/File/Export/"
	)

main()
