#!/usr/bin/env python
# -*- coding: utf-8 -*-

from gimpfu import *
import os

# ------------
#| Change Log |
# ------------
# Rel 0.1: Initial release. Inspired by plug-ins export_layers.py https://github.com/khalim19/gimp-plugin-export-layers by khalim19
#                           issue: Batch process?  https://github.com/khalim19/gimp-plugin-export-layers/issues/79

def python_fu_export_layers_batch_extension(image, indir, extension,  outdir, overwrite):

	for root, dirs, files in os.walk(indir):
		for filename in files:
			filepath = os.path.join(root, filename)
			image = pdb.gimp_file_load(filepath, filename)
			#output_dirpath = os.path.join(r'c:/User/.../...', os.path.splitext(filename)[0])
			output_dirpath = os.path.join(outdir)
#pdb.plug_in_export_layers(image, file_extension, output_directory, layer_filename_pattern, overwrite_mode)			
			pdb.plug_in_export_layers(image, extension, outdir, '[image name]', overwrite, run_mode=RUN_NONINTERACTIVE)
			pdb.gimp_image_delete(image)

register (
	"python_fu_export_layers_batch_extension",
	"Changing the file extension (whit preserving the image file name) using Export Layers\n (RUN_NONINTERACTIVE)",
	"Changing the file extension (whit preserving the file name) using Export Layers",
	"MareroQ",
	"GPL",
	"2019",
	"Export Layers Batch Extension",
	"*",
	[
	(PF_IMAGE, "image", "", None),
	#(PF_DRAWABLE, "drawable", "", None),
	(PF_DIRNAME, "indir", "Input directory:", ""),
	(PF_STRING, "extension", "New Extension:", "png"),
	(PF_DIRNAME, "outdir", "Output directory to save file:", ""),	
 	(PF_OPTION, "overwrite", "Overwrite:", 0, ["Replace (0)", "Skip (1)", "Rename new file (2)", "Rename existing file (3)"]),	
	#(PF_OPTION, "overwrite", "overwrite", 0, ["Zastąpić (0)", "Pominąć (1)", "Zmienić nazwę nowego pliku (2)", "Zmień nazwę istniejącego pliku (3)"]),		
	],
	[],
	python_fu_export_layers_batch_extension, menu = "<Image>/File/Export/"
	)

main()
